# $Id: perl-DateTime-Event-Sunrise.spec 3651 2005-10-12 04:40:21Z dries $

# Authority: dries
# Upstream: Ron Hill <rkhill$firstlight,net>

%define real_name DateTime-Event-Sunrise
%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_archlib %(eval "`perl -V:archlib`"; echo $archlib)
%define perl_privlib %(eval "`perl -V:privlib`"; echo $privlib)

Summary: DateTime extension for computing the sunrise/sunset on a given day
Name: perl-DateTime-Event-Sunrise
Version: 0.0505
Release: 1%{?dist}
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/DateTime-Event-Sunrise/

# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/DateTime/DateTime-Event-Sunrise-%{version}.tar.gz
# Patch1: DateTime-Event-Sunrise-0.0504-MakeMaker_string.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl, perl(ExtUtils::MakeMaker)
BuildRequires: perl(DateTime), perl(DateTime::Duration), perl(DateTime::Set), perl(DateTime::Span), perl(DateTime::SpanSet)
BuildRequires: perl(Params::Validate), perl(Set::Infinite), perl(Test::Exception), perl(Test::More)

%description
This module will return a DateTime Object for sunrise and sunset for a
given day.

%prep
%setup -n %{real_name}-%{version}
# %%patch1 -p1 -b .MakeMaker_string

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod
%{__rm} -f %{buildroot}%{perl_vendorarch}/auto/*/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/DateTime/Event/Sunrise.pm

%changelog
* Sun Jun 26 2016 J. Randall Owens <jrowens@ghiapet.net> - 0.0505-1
- update to version 0.0505

* Sun Jan  4 2015 J. Randall Owens <jrowens@ghiapet.net> - 0.0504-2
- Make it build for CentOS 6 version of ExtUtils::MakeMaker

* Thu Dec 25 2014 J. Randall Owens <jrowens@ghiapet.net> - 0.0504-1
- Updated to version 0.0504

* Fri Oct 18 2013 J. Randall Owens <jrowens@rs3.ghiapet.net> - 0.0503-3
- update to version 0.0503

* Sun Jan  3 2010 J. Randall Owens <jrowens@ghiapet.net> - 0.0501-2
- rebuild for Fedora 12

* Thu Jul 22 2004 Dries Verachtert <dries@ulyssis.org> - 0.0501 - 3651/dries
- Initial package.
